UIListShuttle (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIListShuttle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIListShuttle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIOrderingBaseComponent
                          org.richfaces.component.UIListShuttle

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

Direct Known Subclasses:
  HtmlListShuttle

    public abstract class UIListShuttle

extends UIOrderingBaseComponent

JSF component class

Nested Class Summary
`protected static class` | `UIListShuttle.SubmittedValue`
`static class` | `UIListShuttle.ValueHolder`

Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent
`UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`protected UIOrderingBaseComponent.UpdateModelCommand` | `updateActiveItemCommand`
`protected UIOrderingBaseComponent.UpdateModelCommand` | `updateSourceSelectionCommand`
`protected UIOrderingBaseComponent.UpdateModelCommand` | `updateTargetSelectionCommand`

Fields inherited from class org.richfaces.component.UIOrderingBaseComponent
`isColumn`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIListShuttle()`

Method Summary
`void` | `addValueChangeListener(javax.faces.event.ValueChangeListener listener)`
`org.ajax4jsf.model.ExtendedDataModel` | `createDataModel()`
`java.lang.Object` | `getActiveItem()`
`abstract java.lang.String` | `getControlsVerticalAlign()`
`UIOrderingBaseComponent.ItemState` | `getItemState()`
`abstract java.lang.String` | `getListClass()`
`java.lang.Object` | `getLocalValue()`
`abstract java.lang.String` | `getSourceCaptionLabel()`
`java.util.Set` | `getSourceSelection()`
`java.lang.Object` | `getSourceValue()`
`java.lang.Object` | `getSubmittedValue()`
`abstract java.lang.String` | `getTargetCaptionLabel()`
`java.util.Set` | `getTargetSelection()`
`java.lang.Object` | `getTargetValue()`
`javax.faces.el.ValueBinding` | `getValueBinding(java.lang.String name)`
`abstract javax.faces.el.MethodBinding` | `getValueChangeListener()`
`javax.faces.event.ValueChangeListener[]` | `getValueChangeListeners()`
`protected boolean` | `isEmpty(java.lang.Object value)`
`abstract boolean` | `isFastMoveControlsVisible()`
`abstract boolean` | `isFastOrderControlsVisible()`
`protected boolean` | `isListEmpty(java.lang.Object value)`
`abstract boolean` | `isMoveControlsVisible()`
`abstract boolean` | `isOrderControlsVisible()`
`abstract boolean` | `isSourceRequired()`
`abstract boolean` | `isTargetRequired()`
`protected void` | `processDecodes(javax.faces.context.FacesContext faces, java.lang.Object argument)`
`void` | `removeValueChangeListener(javax.faces.event.ValueChangeListener listener)`
`protected void` | `resetDataModel()`
`protected void` | `restoreIterationSubmittedState(java.lang.Object object)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object object)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActiveItem(java.lang.Object activeItem)`
`abstract void` | `setControlsVerticalAlign(java.lang.String controlsVerticalAlign)`
`abstract void` | `setFastMoveControlsVisible(boolean visible)`
`abstract void` | `setFastOrderControlsVisible(boolean visible)`
`abstract void` | `setListClass(java.lang.String listClass)`
`abstract void` | `setMoveControlsVisible(boolean visible)`
`abstract void` | `setOrderControlsVisible(boolean visible)`
`abstract void` | `setSourceCaptionLabel(java.lang.String label)`
`abstract void` | `setSourceRequired(boolean sourceRequired)`
`void` | `setSourceSelection(java.util.Set collection)`
`void` | `setSourceValue(java.lang.Object sourceValue)`
`void` | `setSubmittedStrings(java.util.Map map, java.util.Set sourceSelection, java.util.Set targetSelection, java.lang.Object activeItem)`
`void` | `setSubmittedValue(java.lang.Object object)`
`abstract void` | `setTargetCaptionLabel(java.lang.String label)`
`abstract void` | `setTargetRequired(boolean targetRequired)`
`void` | `setTargetSelection(java.util.Set collection)`
`void` | `setTargetValue(java.lang.Object targetValue)`
`void` | `setValue(java.lang.Object value)`
`abstract void` | `setValueChangeListener(javax.faces.el.MethodBinding valueChangeMethod)`
`void` | `updateModel(javax.faces.context.FacesContext context)` Perform the following algorithm to update the model data associated with this `UIInput`, if any, as appropriate.
`void` | `validate(javax.faces.context.FacesContext context)` Perform the following algorithm to validate the local value of this `UIInput`.
`protected void` | `validateValue(javax.faces.context.FacesContext context, java.lang.Object value)` Set the "valid" property according to the below algorithm.

Methods inherited from class org.richfaces.component.UIOrderingBaseComponent
`addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isLocalValueSet, isSuitableValue, processDecodes, processingValidators, processUpdates, processValidators, removeValidator, requiredValidation, setLocalValueSet, setValidator, updateModel, validateListValue`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invokeOnComponent, isRowAvailable, iterate, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, walk`

Methods inherited from class javax.faces.component.UIData
`getDataModel, getFamily, getFirst, getFooter, getHeader, getRows, getVar, setDataModel, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.EditableValueHolder
`isImmediate, isRequired, isValid, setImmediate, setRequired, setValid`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### updateTargetSelectionCommand

    protected final UIOrderingBaseComponent.UpdateModelCommand updateTargetSelectionCommand

### updateActiveItemCommand

    protected final UIOrderingBaseComponent.UpdateModelCommand updateActiveItemCommand

### updateSourceSelectionCommand

    protected final UIOrderingBaseComponent.UpdateModelCommand updateSourceSelectionCommand

Constructor Detail

### UIListShuttle

    public UIListShuttle()

Method Detail

### processDecodes

    protected void processDecodes(javax.faces.context.FacesContext faces,
                                  java.lang.Object argument)

  Overrides:
    `processDecodes` in class `org.ajax4jsf.component.UIDataAdaptor`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIOrderingBaseComponent`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object object)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIOrderingBaseComponent`

### getSourceValue

    public java.lang.Object getSourceValue()

### setSourceValue

    public void setSourceValue(java.lang.Object sourceValue)

### getTargetValue

    public java.lang.Object getTargetValue()

### setTargetValue

    public void setTargetValue(java.lang.Object targetValue)

### setSubmittedStrings

    public void setSubmittedStrings(java.util.Map map,
                                    java.util.Set sourceSelection,
                                    java.util.Set targetSelection,
                                    java.lang.Object activeItem)

### getSubmittedValue

    public java.lang.Object getSubmittedValue()

### setSubmittedValue

    public void setSubmittedValue(java.lang.Object object)

### restoreIterationSubmittedState

    protected void restoreIterationSubmittedState(java.lang.Object object)

### createDataModel

    public org.ajax4jsf.model.ExtendedDataModel createDataModel()

  Specified by:
    `createDataModel` in class `org.ajax4jsf.component.UIDataAdaptor`

### addValueChangeListener

    public void addValueChangeListener(javax.faces.event.ValueChangeListener listener)

### getValueChangeListener

    public abstract javax.faces.el.MethodBinding getValueChangeListener()

### setValueChangeListener

    public abstract void setValueChangeListener(javax.faces.el.MethodBinding valueChangeMethod)

### getValueChangeListeners

    public javax.faces.event.ValueChangeListener[] getValueChangeListeners()

### removeValueChangeListener

    public void removeValueChangeListener(javax.faces.event.ValueChangeListener listener)

### updateModel

    public void updateModel(javax.faces.context.FacesContext context)

  Perform the following algorithm to update the model data associated with this `UIInput`, if any, as appropriate.

  - If the `valid` property of this component is `false`, take no further action.
  - If the `localValueSet` property of this component is `false`, take no further action.
  - If no `ValueBinding` for `value` exists, take no further action.
  - Call `setValue()` method of the `ValueBinding` to update the value that the `ValueBinding` points at.
  - If the `setValue()` method returns successfully:
    - Clear the local value of this `UIInput`.
    - Set the `localValueSet` property of this `UIInput` to false.
  - If the `setValue()` method call fails:
    - Enqueue an error message by calling `addMessage()` on the specified `FacesContext` instance.
    - Set the `valid` property of this `UIInput` to `false`.

  Specified by:
    `updateModel` in class `UIOrderingBaseComponent`
  Parameters:
    `context` - `FacesContext` for the request we are processing
  Throws:
    `java.lang.NullPointerException` - if `context` is `null`

### validate

    public void validate(javax.faces.context.FacesContext context)

  Perform the following algorithm to validate the local value of this `UIInput`.

  - Retrieve the submitted value with `getSubmittedValue()`. If this returns null, exit without further processing. (This indicates that no value was submitted for this component.)
  - Convert the submitted value into a "local value" of the appropriate data type by calling `#getConvertedValue`.
  - Validate the property by calling `validateValue(javax.faces.context.FacesContext, java.lang.Object)`.
  - If the `valid` property of this component is still `true`, retrieve the previous value of the component (with `getValue()`), store the new local value using `setValue()`, and reset the submitted value to null. If the local value is different from the previous value of this component, fire a `ValueChangeEvent` to be broadcast to all interested listeners.

  Application components implementing `UIInput` that wish to perform validation with logic embedded in the component should perform their own correctness checks, and then call the `super.validate()` method to perform the standard processing described above.

  Specified by:
    `validate` in class `UIOrderingBaseComponent`
  Parameters:
    `context` - The `FacesContext` for the current request
  Throws:
    `java.lang.NullPointerException` - if `context` is null

### isEmpty

    protected boolean isEmpty(java.lang.Object value)

  Overrides:
    `isEmpty` in class `UIOrderingBaseComponent`

### isListEmpty

    protected boolean isListEmpty(java.lang.Object value)

### validateValue

    protected void validateValue(javax.faces.context.FacesContext context,
                                 java.lang.Object value)

  Description copied from class: `UIOrderingBaseComponent`

  Set the "valid" property according to the below algorithm.

  - If the `valid` property on this component is still `true`, and the `required` property is also true, ensure that the local value is not empty (where "empty" is defined as `null` or a zero-length String. If the local value is empty:
    - Enqueue an appropriate error message by calling the `addMessage()` method on the `FacesContext` instance for the current request.
    - Set the `valid` property on this component to `false`.
  - If the `valid` property on this component is still `true`, and the local value is not empty, call the `validate()` method of each `Validator` registered for this `UIInput`, followed by the method pointed at by the `validatorBinding` property (if any). If any of these validators or the method throws a `ValidatorException`, catch the exception, add its message (if any) to the `FacesContext`, and set the `valid` property of this component to false.

  Overrides:
    `validateValue` in class `UIOrderingBaseComponent`

### resetDataModel

    protected void resetDataModel()

  Overrides:
    `resetDataModel` in class `org.ajax4jsf.component.UIDataAdaptor`

### getItemState

    public UIOrderingBaseComponent.ItemState getItemState()

  Specified by:
    `getItemState` in class `UIOrderingBaseComponent`

### getControlsVerticalAlign

    public abstract java.lang.String getControlsVerticalAlign()

### setControlsVerticalAlign

    public abstract void setControlsVerticalAlign(java.lang.String controlsVerticalAlign)

### isOrderControlsVisible

    public abstract boolean isOrderControlsVisible()

  Specified by:
    `isOrderControlsVisible` in class `UIOrderingBaseComponent`

### setOrderControlsVisible

    public abstract void setOrderControlsVisible(boolean visible)

  Specified by:
    `setOrderControlsVisible` in class `UIOrderingBaseComponent`

### isFastOrderControlsVisible

    public abstract boolean isFastOrderControlsVisible()

  Specified by:
    `isFastOrderControlsVisible` in class `UIOrderingBaseComponent`

### setFastOrderControlsVisible

    public abstract void setFastOrderControlsVisible(boolean visible)

  Specified by:
    `setFastOrderControlsVisible` in class `UIOrderingBaseComponent`

### isMoveControlsVisible

    public abstract boolean isMoveControlsVisible()

### setMoveControlsVisible

    public abstract void setMoveControlsVisible(boolean visible)

### isFastMoveControlsVisible

    public abstract boolean isFastMoveControlsVisible()

### setFastMoveControlsVisible

    public abstract void setFastMoveControlsVisible(boolean visible)

### getListClass

    public abstract java.lang.String getListClass()

### setListClass

    public abstract void setListClass(java.lang.String listClass)

### isSourceRequired

    public abstract boolean isSourceRequired()

### setSourceRequired

    public abstract void setSourceRequired(boolean sourceRequired)

### isTargetRequired

    public abstract boolean isTargetRequired()

### setTargetRequired

    public abstract void setTargetRequired(boolean targetRequired)

### getSourceSelection

    public java.util.Set getSourceSelection()

### setSourceSelection

    public void setSourceSelection(java.util.Set collection)

### getTargetSelection

    public java.util.Set getTargetSelection()

### setTargetSelection

    public void setTargetSelection(java.util.Set collection)

### getActiveItem

    public java.lang.Object getActiveItem()

### setActiveItem

    public void setActiveItem(java.lang.Object activeItem)

### getSourceCaptionLabel

    public abstract java.lang.String getSourceCaptionLabel()

### setSourceCaptionLabel

    public abstract void setSourceCaptionLabel(java.lang.String label)

### getTargetCaptionLabel

    public abstract java.lang.String getTargetCaptionLabel()

### setTargetCaptionLabel

    public abstract void setTargetCaptionLabel(java.lang.String label)

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(java.lang.String name)

  Overrides:
    `getValueBinding` in class `javax.faces.component.UIComponentBase`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `org.ajax4jsf.component.UIDataAdaptor`

### getLocalValue

    public java.lang.Object getLocalValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.